Classes

- authority_path
- mqtt_client
- reason_code
- subscribe_options
- subscribe_topic
- will
- subscription_identifiers
- properties

Concepts

- StreamType
- TlsContext
- Authenticator

Type aliases

- error_code

Enumerations

- auth_step_e
- client::error
- disconnect_rc_e
- qos_e
- retain_e

Properties

- will_props
- connect_props
- connack_props
- publish_props
- puback_props
- pubrec_props
- pubrel_props
- pubcomp_props
- subscribe_props
- suback_props
- unsubscribe_props
- unsuback_props
- disconnect_props
- auth_props

Reference tables

- Reason codes
- Error handling

Logging

- LoggerType
- logger
- log_level